<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [calckey-js](./calckey-js.md) &gt; [api](./calckey-js.api.md) &gt; [APIClient](./calckey-js.api.apiclient.md)

## api.APIClient class

**Signature:**

```typescript
export declare class APIClient 
```

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(opts)](./calckey-js.api.apiclient._constructor_.md) |  | Constructs a new instance of the <code>APIClient</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [credential](./calckey-js.api.apiclient.credential.md) |  | string \| null \| undefined |  |
|  [fetch](./calckey-js.api.apiclient.fetch.md) |  | [FetchLike](./calckey-js.api.fetchlike.md) |  |
|  [origin](./calckey-js.api.apiclient.origin.md) |  | string |  |

## Methods

|  Method | Modifiers | Description |
|  --- | --- | --- |
|  [request(endpoint, params, credential)](./calckey-js.api.apiclient.request.md) |  |  |

